Add a custom server image

Registers a custom image for the account from a direct download link. An account can hold two custom images at a time, each up to 100 GB. An image is removed two days after it is added.

POST
/custom-server-images

Authorization

BearerToken
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/custom-server-images" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "url": "http://example.com"  }'
{  "id": 0,  "status": "awaiting_payment",  "name": "string",  "url": "string",  "size": 0,  "downloaded": 0,  "created_at": "2019-08-24T14:15:22Z",  "deletion_at": "2019-08-24T14:15:22Z",  "deleted_at": "2019-08-24T14:15:22Z"}